/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */ 
.wizard-todo-list {
  margin-bottom: 0;
  > .list-group-item {
    padding: 10px;
    padding-left: 45px;
    color: $gray-400;

    .fa-stack {
      float:left;
      margin-left: -35px;
      margin-top: -4px;
      .fa-stack-1x:before {
        content: "";
      }
    }

    &.success {
      color: $green;
      .fa-stack .fa-stack-1x:before {
        content: $fa-var-check;
      }
    }

    &.error {
      color: $red;
      .fa-stack .fa-stack-1x:before {
        content: $fa-var-times;
      }
    }

    &.warn {
      color: $orange;
      .fa-stack .fa-stack-1x:before {
        content: $fa-var-exclamation;
      }
    }
  }

  &.loading {
    position: relative;
    @include spinner(25px);
    &::after {
      border-color: #FFF;
      border-top-color: $brand-primary;
      top: 50%;
      margin-top: -22px;
    }
    > * {
      @include opacity(.2);
    }
  }
}
.wizard-loading-progress {
  display: none;
}
.wizard-loading {
  position: relative;
  @include spinner(80px);
  &::after {
    border-color: #FFF;
    border-top-color: $brand-primary;
    top: 50%;
    margin-top:-70px;
  }
  > *:not(.wizard-loading-progress) {
    @include opacity(.10);
  }

  .wizard-loading-progress {
    position: absolute;
    display: inline-block;
    text-align: center;
    width: 100%;
    height:20px;
    line-height:20px;
    top:50%;
    margin-top: -40px;
    z-index: 10000;
    color: $text-gray;
    //color: $brand-primary;
    span {
      background: #FFF;
      padding: 0px 2px;
      font-size: 16px;
      display: inline-block;

    }
    small {
      display: block;
      margin-top: 40px;
      line-height: normal;
    }
  }
}




/*
.row > div {
    @include spinner(25px);
    &::after {
      border-color: #FFF;
      border-top-color: $brand-primary;
      top: 50%;
      margin-top: -22px;
    }
  }
  .small-box {
    @include opacity(.2);
  }*/

$nav-wizard-item-bg: #fff;
$nav-wizard-item-active-bg: $brand-primary;
$nav-wizard-item-complete-bg: $alert-success-bg;
$nav-wizard-item-complete-color: $alert-success-text;
//$nav-wizard-item-complete-color: $input-color
//$nav-wizard-item-complete-bg: $bg-green-light;
//$nav-wizard-item-complete-bg:lighten($dge-prospective, 25);
//$nav-wizard-item-complete-bg: darken($body-bg,8);
$nav-wizard-item-hover-bg: #d5d5d5;
$nav-wizard-bg: $body-bg;

.nav-wizard  {
  width: 100%;
}

.nav-wizard > li {
  float: left;
}
.nav-wizard > li > a {
  position: relative;
  background-color: $nav-wizard-item-bg;
}
.nav-wizard > li > a .badge {
  margin-left: 3px;
  color: #eeeeee;
  background-color: #428bca;
}
.nav-wizard > li:not(:first-child) > a {
  padding-left: 34px;
}
.nav-wizard > li:not(:first-child) > a:before {
  width: 0px;
  height: 0px;
  border-top: 25px inset transparent;
  border-bottom: 25px inset transparent;
  border-left: 25px solid $nav-wizard-bg;
  position: absolute;
  content: "";
  top: 0;
  left: 0;
}
.nav-wizard > li:not(:last-child) > a {
  margin-right: 6px;
}
.nav-wizard > li:not(:last-child) > a:after {
  width: 0px;
  height: 0px;
  border-top: 25px inset transparent;
  border-bottom: 25px inset transparent;
  border-left: 25px solid $nav-wizard-item-bg;
  position: absolute;
  content: "";
  top: 0;
  right: -25px;
  z-index: 2;
}
.nav-wizard > li:first-child > a {
  border-top-left-radius: $box-border-radius;
  border-bottom-left-radius: $box-border-radius;
}
.nav-wizard > li:last-child > a {
  border-top-right-radius: $box-border-radius;
  border-bottom-right-radius: $box-border-radius;
}

.nav-wizard > li:hover > a {
  background-color: $nav-wizard-item-hover-bg;
}
.nav-wizard > li:hover > a:before {
  border-right-color: $nav-wizard-item-hover-bg;
}
.nav-wizard > li:hover > a:after {
  border-left-color: $nav-wizard-item-hover-bg;
}

.nav-wizard > li.disabled > a {
  color: #777777;
}
.nav-wizard > li.disabled > a:hover,
.nav-wizard > li.disabled > a:focus {
  color: #777777;
  text-decoration: none;
  background-color: $nav-wizard-item-bg;
  cursor: default;
}
.nav-wizard > li.disabled > a:before {
  border-right-color: $nav-wizard-item-bg;
}
.nav-wizard > li.disabled > a:after {
  border-left-color: $nav-wizard-item-bg;
}

.nav-wizard > li.complete > a {
  color: $nav-wizard-item-complete-color;
  background-color: $nav-wizard-item-complete-bg;
}
.nav-wizard > li.complete > a:before {
  border-right-color: $nav-wizard-item-complete-bg;
}
.nav-wizard > li.complete > a:after {
  border-left-color: $nav-wizard-item-complete-bg;
}
.nav-wizard > li.complete:hover > a {
  color: $nav-wizard-item-complete-color;
  background-color: $nav-wizard-item-complete-bg;
}
.nav-wizard > li.complete:hover > a:before {
  border-right-color: $nav-wizard-item-complete-bg;
}
.nav-wizard > li.complete:hover > a:after {
  border-left-color: $nav-wizard-item-complete-bg;
}

.nav-wizard > li.active > a,
.nav-wizard > li.active > a:hover,
.nav-wizard > li.active > a:focus {
  color: #ffffff;
  background-color: $nav-wizard-item-active-bg;
}
.nav-wizard > li.active > a:after {
  border-left-color: $nav-wizard-item-active-bg;
}
.nav-wizard > li.active > a .badge {
  color: $nav-wizard-item-active-bg;
  background-color: #ffffff;
}
.nav-wizard.nav-justified > li {
  float: none;
}
.nav-wizard.nav-justified > li > a {
  padding: 7px 15px 6px 15px;
  text-align: left;
}

.nav-wizard.nav-justified > li:not(:first-child) > a {
  padding-left: 34px;
}

.nav-wizard.nav-justified > li > a {
  h4 {
    margin: 0;
    font-size: 16px;
  }
}

@media (max-width: 768px) {
  .nav-wizard.nav-justified > li > a {
    border-radius: 4px;
    margin-right: 0;
  }
  .nav-wizard.nav-justified > li > a:before,
  .nav-wizard.nav-justified > li > a:after {
    border: none !important;
  }
}
